/* This file is part of the Project Athena Zephyr Notification System.
 * It is one of the source files comprising zwgc, the Zephyr WindowGram
 * client.
 *
 *      Created by:     Marc Horowitz <marc@athena.mit.edu>
 *
 *      $Id: xselect.h,v 1.4 2000/02/04 01:27:23 assar Exp $
 *
 *      Copyright (c) 1989 by the Massachusetts Institute of Technology.
 *      For copying and distribution information, see the file
 *      "mit-copyright.h".
 */


#include <zephyr/mit-copyright.h>

#ifndef _XSELECT_H_
#define _XSELECT_H_

extern void xicccmInitAtoms(Display *dpy);
extern int xselGetOwnership(Display *dpy, Window w, Time time);
extern int xselProcessSelection(Display *dpy, Window w, XEvent *event);
extern void xselOwnershipLost(Time time);
extern void xselGiveUpOwnership(Display *dpy, Window w);

extern Atom XA_WM_PROTOCOLS,XA_WM_DELETE_WINDOW;

#endif
